package fxtyo2;

import elokuvakatalogi.Elokuvakatalogi;
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author Tuukka
 * @version 17.2.2025
 *
 */
public class KayttoliittymaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            final FXMLLoader ldr = new FXMLLoader(getClass().getResource("KayttoliittymaGUIView.fxml"));
            final Pane root = (Pane)ldr.load();
            final KayttoliittymaGUIController kayttoliittymaCtrl = (KayttoliittymaGUIController)ldr.getController();
            //final KayttoliittymaGUIController kayttoliittymaCtrl = (KayttoliittymaGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("kayttoliittyma.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Kirjaudu sisään");
            
            Elokuvakatalogi elokuvakatalogi = new Elokuvakatalogi();
            kayttoliittymaCtrl.setElokuvakatalogi(elokuvakatalogi);
            
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}